define({'ACID':{d:'In the context of databases and data storage systems, a transaction is any operation that is treated as a single unit of work, which either completes fully or does not complete at all, and leaves the storage system in a consistent state.\nACID is an acronym that refers to the set of 4 key properties that define a transaction: Atomicity, Consistency, Isolation, and Durability. If a database operation has these ACID properties, it can be called an ACID transaction.',l:''},'Affinity':{d:'This describes the relationship between VMs and hosts or in Kubernetes between pods.  Affinity will keep VM and hosts together and with Kubernetes, will keep pods on the same node.',l:''},'Anti-Affinity':{d:'This describes the relationship between VMs and hosts or when related to Kubernetes between pods.  Anti-Affinity will keep VM and hosts separated and using Kubernetes an anti-affinity rule tells the scheduler not to place the new pod on the same node if the label on the new pod matches the label on another pod. In this case, anti-affinity allows you to keep pods away from each other. It also allows you to prevent pods of a particular service from scheduling on the same nodes as pods of another service that are known to interfere with the performance of the pods of the first service.',l:''},'BI':{d:'Business intelligence (BI) is software that ingests business data and presents it in user-friendly views such as reports, dashboards, charts and graphs.',l:''},'Blueprint':{d:'Java project templating framework provided by DIH for developers, a bueprint, or class, contains a set of attributes and behaviors that define an object.',l:''},'CDC':{d:'Change Data Capture. Primarily used for data that is frequently updated, such as user transactions',l:''},'CEP':{d:'Complex Event Processing.  Helps to aggregate, process, and analyze streams of events in real time. CEP matches continuously incoming events against a pattern and provides insight into what is happening.',l:''},'CRUD':{d:'Create, Read, Update, Delete.\nThese terms describe the four essential operations for creating and managing persistent data elements, mainly in relational and NoSQL databases.',l:''},'Data Integration':{d:'The Data Integration (DI) layer is a vital part of the Digital Integration Hub (DIH) platform. It is responsible for a wide range of data integration tasks such as ingesting data in batches or streaming data changes. This is performed in real-time from various sources and systems of record (SOR. The data then resides in the In-Memory Data Grid (IMDG), or Space, of the GigaSpaces Smart DIH platform.',l:''},'Db2 z/OS':{d:'A relational database management system that runs on the IBM® zSystems platform. A relational database is a database in which all of the data is logically contained in tables. These databases are organized according to the relational model.',l:''},'DDL':{d:'Data Definition Language (DDL) is a subset of SQL. It is a language for describing data and its relationships in a database. DDL changes the structure of the table like creating a table, deleting a table, altering a table, etc. Example DDL commands: CREATE, ALTER, DROP, TRUNCATE.',l:''},'DI':{d:'The Data Integration (DI) layer is a vital part of the Digital Integration Hub (DIH) platform. It is responsible for a wide range of data integration tasks such as ingesting data in batches or streaming data changes. This is performed in real-time from various sources and systems of record (SOR. The data then resides in the In-Memory Data Grid (IMDG), or Space, of the GigaSpaces Smart DIH platform.',l:''},'DIH':{d:'Digital Integration Hub.\nAn application architecture that decouples digital applications from the systems of record, and aggregates operational data into a low-latency data fabric.',l:''},'DML':{d:'Data Manipulation Syntax. \nThe DML commands in Structured Query Language change the data present in the SQL database. We can easily access, store, modify, update and delete the existing records from the database using DML commands. DML commands are used to modify the database. It is responsible for all form of changes in the database. Four main commands: SELECT, INSERT, UPDATE and DELETE.',l:''},'DQL':{d:'Data Query Language Syntax. DQL statements are used for performing queries on the data within schema objects. The purpose of the DQL Command is to get some schema relation based on the query passed to it. We can define DQL as follows: It is a component of SQL statement that allows getting data from the database and imposing order upon it. It has a single command: select and subcategories of DDL, DML, DCL and TCL.',l:''},'EDA':{d:'Event Driven Architecture.\nAn event-driven architecture uses events to trigger and communicate between decoupled services and is common in modern applications built with microservices.',l:''},'ETL':{d:'Extract, Transform, Load\nThe process of combining data from multiple sources into a large, central repository. In GigaSpaces this is the Space.',l:''},'FIFO':{d:'FIFO is an acronym for first in, first out, a method for organizing the manipulation of a data structure where the oldest entry, or \"head\" of the queue, is processed first.',l:''},'Flink':{d:'Apache Flink is an open-source, unified stream-processing and batch-processing framework developed by the Apache Software Foundation. The core of Apache Flink is a distributed streaming data-flow engine written in Java and Scala. Flink executes arbitrary dataflow programs in a data-parallel and pipelined manner.',l:''},'Grafana':{d:'Grafana is a multi-platform open source analytics and interactive visualization web application. It provides charts, graphs, and alerts for the web when connected to supported data sources.',l:''},'GSA':{d:'Grid Service Agent.\nThis is a process manager that can spawn and manage Service Grid processes (Operating System level processes) such as The Grid Service Manager, The Grid Service Container, and The Lookup Service. Typically, the GSA is started with the hosting machine\u0027s startup. Using the agent, you can bootstrap the entire cluster very easily, and start and stop additional GSCs, GSMs and lookup services at will.',l:''},'GSC':{d:'Grid Service Container.\nThis provides an isolated runtime for one (or more) processing unit (PU) instance and exposes its state to the GSM.',l:''},'GSM':{d:'Grid Service Manager.\nThis is is a service grid component that manages a set of Grid Service Containers (GSCs). A GSM has an API for deploying/undeploying Processing Units. When a GSM is instructed to deploy a Processing Unit, it finds an appropriate, available GSC and tells that GSC to run an instance of that Processing Unit. It then continuously monitors that Processing Unit instance to verify that it is alive, and that the SLA is not breached.',l:''},'HELM':{d:'Helm helps you manage Kubernetes applications — Helm Charts help you define, install, and upgrade even the most complex Kubernetes application.Helm uses a packaging format called charts. A chart is a collection of files that describe a related set of Kubernetes resources.',l:''},'Hot Tier':{d:'Part of GigaSpaces Tiered Storage Mechanism. Hot Tier is RAM and is used for priority data and read/write operations that require the fasted access',l:''},'IDE':{d:'Integrated Development Environment.\nA software application that helps programmers develop software code efficiently. It increases developer productivity by combining capabilities such as software editing, building, testing, and packaging in an easy-to-use application. Example: DBeaver.',l:''},'IDP':{d:'An identity provider, or IDP, stores and manages users\u0027 digital identities. IDP and SSO can work together to authenticate users.',l:''},'IIDR':{d:'IBM Infosphere Data Replication.\nThis is a solution to efficiently capture and replicate data, and changes made to the data, on relational source systems. Used to move data from DataBases to the In-Memory Data Grid.',l:''},'IMDG':{d:'In-Memory Data Grid.\nA set of Space instances, typically running within their respective processing unit instances. The space instances are connected to each other to form a space cluster. The relations between the spaces define the data grid topology. Also known as Enterprise Data Grid - EDG',l:''},'JDBC':{d:'Java DataBase Connectivity.\nThis is an application programming interface (API) for the Java programming language, which defines how a client may access a database.',l:''},'JVM':{d:'Java Virtual Machine. A virtual machine that enables a computer to run Java programs as well as programs written in other languages that are also compiled to Java bytecode.',l:''},'JWT':{d:'JSON Web Token is a compact URL-safe means of representing claims to be transferred between two parties. The claims in a JWT are encoded as a JSON. JWTs are credentials, which can grant access to resources.',l:''},'Kafka':{d:'Apache Kafka is a distributed event store and stream-processing platform. Apache Kafka is a distributed publish-subscribe messaging system.\nA message is any kind of information that is sent from a producer (application that sends the messages) to a consumer (application that receives the messages).\nProducers write their messages or data to Kafka topics. These topics are divided into partitions that function like logs. \nEach message is written to a partition and has a unique offset, or identifier. Consumers can specify a particular offset point where they can begin to read messages.',l:''},'Kubernetes':{d:'An open-source container orchestration system for automating software deployment, scaling, and management.',l:''},'LDAP':{d:'Lightweight Directory Access Protocol.\nAn open, vendor-neutral, industry standard application protocol for accessing and maintaining distributed directory information services over an Internet Protocol (IP) network.',l:''},'LRU':{d:'Last Recently Used.\nThis is a common caching strategy. It defines the policy to evict elements from the cache to make room for new elements when the cache is full, meaning it discards the least recently used items first.',l:''},'LUS':{d:'Lookup Service.\nThis service provides a mechanism for services to discover each other. Each service can query the lookup service for other services, and register itself in the lookup service so other services may find it.',l:''},'MemoryXtend':{d:'Related to Data Tiering. The MemoryXtend (blobstore) storage model allows an external storage medium (one that does not reside on the JVM heap) to store the GigaSpaces Space data and is designed for operational workloads. It keeps all indexes in RAM for better performance.',l:''},'Mirror':{d:'Performs the replication of changes to the target table or accumulation of source table changes used to replicate changes to the target table at a later time. If you have implemented bidirectional replication in your environment, mirroring can occur to and from both the source and target tables.',l:''},'Multi-Region Replication':{d:'This is a deployment topology that enables system continuity, by replicating states between various geographical locations. It is commonly used for: Disaster recover planning, failover, maintaining data locaility per site and adding or removing sites without a system shutdown.',l:''},'MVCC':{d:'Multiversion Concurrency Control.\nThis is a database optimization technique that creates duplicate copies of records so that data can be safely read and updated at the same time.',l:''},'ODBC':{d:'Microsoft Open DataBase Connectivity.\nThis interface is a C programming language interface that makes it possible for applications to access data from a variety of database management systems (DBMSs). ODBC is a low-level, high-performance interface that is designed specifically for relational data stores.',l:''},'OIDC':{d:'OpenID Connect (OIDC) is an open authentication protocol that works on top of the OAuth 2.0 framework. Targeted toward consumers, OIDC allows individuals to use single sign-on (SSO) to access relying party sites using OpenID Providers (OPs), such as an email provider to authenticate their identities.',l:''},'Orchestration':{d:'This is the automated configuration, management, and coordination of computer systems, applications, and services. Orchestration strings together multiple tasks in order to execute and easily manage a larger workflow or process. These processes can consist of multiple complex tasks that are automated and can involve multiple systems. Kubernetes, used by GigaSpaces, is a popular open source platform for container orchestration.',l:''},'POJO':{d:'Plain Old Java Object.\nA regular Java object with no special restrictions other than those forced by the Java Language Specification and does not require any classpath.',l:''},'Processing Unit':{d:'This is the unit of packaging and deployment in the GigaSpaces Data Grid, and is essentially the main GigaSpaces service. The Processing Unit (PU) itself is typically deployed onto the Service Grid. When a Processing Unit is deployed, a Processing Unit instance is the actual runtime entity.',l:''},'PU':{d:'This is the unit of packaging and deployment in the GigaSpaces Data Grid, and is essentially the main GigaSpaces service. The Processing Unit (PU) itself is typically deployed onto the Service Grid. When a Processing Unit is deployed, a Processing Unit instance is the actual runtime entity.',l:''},'Quiesce Mode':{d:'This feature adds support for \"Quiesce state\" (or maintenance mode) for a Processing Unit. If a space is quiesced, it rejects all data-related operations with an exception, allowing the user to perform maintenance operations.',l:''},'RBAC':{d:'Role-based access control (RBAC), also known as role-based security, is a mechanism that restricts system access. It involves setting permissions and privileges to enable access to authorized users.',l:''},'REST':{d:'REpresentational State Transfer. Application Programming Interface\nAn API, or application programming interface, is a set of rules that define how applications or devices can connect to and communicate with each other. A REST API is an API that conforms to the design principles of the REST, or representational state transfer architectural style.',l:''},'REST API':{d:'REpresentational State Transfer. Application Programming Interface\nAn API, or application programming interface, is a set of rules that define how applications or devices can connect to and communicate with each other. A REST API is an API that conforms to the design principles of the REST, or representational state transfer architectural style.',l:''},'Routing':{d:'The mechanism that is in charge of routing the objects into and out of the corresponding partitions. The routing is based on a designated attribute inside the objects that are written to the Space, called the Routing Index.',l:''},'SBA':{d:'Space-Based Architecture.\nThis architecture implementation is a set of Processing Units, with the following properties: Each processing unit instances holds a partitioned space instance and one or more services that are registered on events on that specific partition. Together they form an application cluster. Utlized by Utilized GigaSpaces cloud-native IMDG.',l:''},'Service Bean':{d:'An application component that interacts with the space (using the read, write, take and notify operations), and implements a certain functionality.',l:''},'Service Grid':{d:'A built-in orchestration tool which contains a set of Grid Service Containers (GSCs) managed by a Grid Service Manager. The containers host various deployments of Processing Units and data grids. Each container can be run on a separate physical machine.  This orchestration is available for Smart Cache only. For Smart DIH, we recommend using our Kubernetes orchestration.',l:''},'Smart Cache':{d:'',l:'new-content/SmartCache-Overview.html'},'Smart DIH':{d:'',l:'new-content/SmartDIH-Overview.html'},'SOR':{d:'System of Record. This is an information storage and retrieval system that stores valuable data on an organizational system or process. This record can contain multiple data sources and exist at a single location or multiple locations with remote access.',l:''},'Space':{d:'Where GigaSpaces data is stored. It is the logical cache that holds data objects in memory and might also hold them in layered in tiering. Data is hosted from multiple SoRs, consolidated as a unified data model.',l:''},'SpaceDeck':{d:'GigaSpaces intuitive, streamlined user interface to set up,  manage and control their environment. Using SpaceDeck, users can define the tools to bring legacy System of Record (SoR) databases into the in-memory data grid that is the core of the GigaSpaces system.',l:''},'SSO':{d:'Single sign-on (SSO) is an authentication scheme that allows a user to log in with a single ID to any of several related, yet independent, software systems.',l:''},'Swagger UI':{d:'Swagger UI allows development team to visualize and interact with the API\u0027s resources without having any of the implementation logic in place.',l:''},'TCL':{d:'Transaction Control Language Syntax. TCL commands are basically used for managing and controlling the transactions in a database to maintain consistency. And it also helps a user manage all the changes made by the DML commands for maintaining its transactions.TCL commands can only be used with DML commands like INSERT, DELETE and UPDATE only.  Examples of TCL Commands: COMMIT, ROLLBACK, SAVEPOINT.',l:''},'Tiered Storage':{d:'Automatically assigns data to different categories of storage types based on considerations of cost, performance, availability, and recovery.',l:''},'Warm Tier':{d:'Part of GigaSpaces Tiered Storage Mechanism. Warm tier is SSD (recommended media) storage which is mostly used for data that is read-only and is less frequently used.',l:''},'Zookeeper':{d:'Apache Zookeeper. An open-source server for highly reliable distributed coordination of cloud applications. It provides a centralized service for providing configuration information, naming, synchronization and group services over large clusters in distributed systems. The goal is to make these systems easier to manage with improved, more reliable propagation of changes.',l:''}});