define({"73":{y:0,u:"../dev-java/query-by-id.html",l:-1,t:"Id Queries",i:0.00151071247407856,a:"Smart Cache Id Queries The space can be queried for entries using  Template Matching  or  SQLQuery , but sometimes we know the exact id of the entry we need and prefer a faster solution. This is where id-based queries come handy. Reading an Entry By ID When you would like to access an object using ..."},"74":{y:0,u:"../dev-java/query-template-matching.html",l:-1,t:"Template Matching",i:0.00269198482382199,a:"Smart Cache Template Matching Template matching (a.k.a. Match by example) is a simple way to query the space - The template is a POJO of the desired entry type, and the properties which are set on the template (i.e. not null) are matched against the respective properties of entries of the same type ..."},"75":{y:0,u:"../dev-java/query-sql.html",l:-1,t:"SQL Query API",i:0.0129384023566945,a:"Smart Cache SQL Query API The SQLQuery class is used to query the Space using SQL-like syntax. The query statement includes only the WHERE statement part - the selection aspect of a SQL statement is embedded in other parameters for a SQL query.   For full ANSI SQL-99 support, see the  GigaSpaces ..."},"76":{y:0,u:"../dev-java/query-sql-function.html",l:-1,t:"SQL Functions",i:0.000532066855596792,a:"Smart Cache SQL Functions You can query the Space using built-in functions and user-defined functions. Built-In Functions For example, lets assume we have a class called Person with an Address property: @SpaceClass\npublic class Person  {\n    private UUID id;\n    private String firstName;\n    private ..."},"77":{y:0,u:"../dev-java/custom-matching.html",l:-1,t:"Custom Matching",i:0.000457134680193274,a:"Smart Cache Custom Matching Overview Queries are usually indexed and executed using primitive fields (long, float, string, etc.). These fields can be at the root level of the Space object, or embedded within  nested objects  in the Space object. You can construct a query using a template object or ..."},"78":{y:0,u:"../dev-java/query-geospatial.html",l:-1,t:"Geospatial Queries",i:0.00285645391099912,a:"Smart Cache Geospatial Queries Spatial queries make use of geometry data types such as points, circles and polygons and these queries consider the spatial relationship between these geometries. Spatial queries can be used with any space operation which supports SQL queries (read, readMultiple, take, ..."},"79":{y:0,u:"../dev-java/query-free-text-search.html",l:-1,t:"Free Text Search",i:0.0019324428757713,a:"Smart Cache Free Text Search Regular Expressions You can query the space using the SQL like operator or  rlike - Java Regular Expression  Query syntax. When using the SQL like operator you may use the following:\n% - match any string of any length (including zero length)\n_ - match on a single ..."},"80":{y:0,u:"../dev-java/query-full-text-search.html",l:-1,t:"Full Text Search",i:0.00205594735920619,a:"Smart Cache Full Text Search GigaSpaces products provide full text search capability, leveraging the  Lucene  search engine library. The following features are supported: Keyword matching Search for phrase Wildcard matching Proximity matching Range searching Boosting a term Regular expressions Fuzzy ..."},"81":{y:0,u:"../dev-java/query-nested-properties.html",l:-1,t:"Nested Properties in Space Objects",i:0.00138670218640078,a:"Smart Cache Nested Properties in Space Objects The  SQL Query  page shows how to express complex queries on flat Space entries (e.g. entries that are composed of scalar types like integers and strings), but in reality Space entries are often composed of more complex types.\nFor example, a Person ..."},"82":{y:0,u:"../dev-java/query-user-defined-classes.html",l:-1,t:"User Defined Classes",i:0.000511776153958665,a:"Smart Cache User Defined Classes Since matching and comparing expressions is executed via java\u0027s built-in equals and Comparable mechanisms, a user defined class can be matched and compared as well. For example, suppose a user defined a class called Version, which encapsulates a major version and a ..."},"83":{y:0,u:"../dev-java/query-paging-support.html",l:-1,t:"Paging Support with the Space Iterator API",i:0.00173038363657434,a:"Smart Cache Paging Support with the Space Iterator API If a collection of entries must be returned from the Space, this is usually carried out using one of the  readMultiple  overloads in GigaSpace. However, if there are a lot of matching entries, you may encounter several problems: Memory usage - ..."},"84":{y:0,u:"../dev-java/query-partial-results.html",l:-1,t:"Projection",i:0.00181474576897086,a:"Smart Cache Projection In some cases, when querying the Space for Objects, only certain properties of those Objects are required (a.k.a. delta read). The same scenario is also relevant when subscribing for notifications on Space data changes, where only specific properties are of interest to the ..."},"85":{y:0,u:"../dev-java/query-explainplan.html",l:-1,t:"Explain Plan",i:0.000511776153958665,a:"Smart Cache Explain Plan Explain Plan can be used to obtain a description of the strategy or plan that GigaSpaces uses to implement a specific SQLQuery.\nExplain Plan reports on the way in which the query uses indices and how many entries were scanned. For detailed information how to assign indexes, ..."},"86":{y:0,u:"../dev-java/indexing-overview.html",l:-1,t:"Indexing",i:0.0054890527197856,a:"Smart Cache Smart DIH Indexing When a Space is looking for a match for a read or take operation, it iterates over non-null values in the template, looking for matches in the Space. This process can be time consuming, especially when there are many potential matches. To improve performance, it is ..."},"87":{y:0,u:"../dev-java/indexing.html",l:-1,t:"Space Index",i:0.00257517880403042,a:"Smart Cache Smart DIH Space Index Index Types The index type is determined by the SpaceIndexType enumeration. The index types are: NONE - No indexing is used. EQUAL - performs equality matching (equal to/not equal to). ORDERED - performs ordered matching (bigger than/less than). EQUAL_AND_ORDERED - ..."},"88":{y:0,u:"../dev-java/indexing-nested-properties.html",l:-1,t:"Nested Property Index",i:0.00136727840992112,a:"An index can be defined on a nested property to improve performance of nested queries - this is highly recommended.\nNested properties indexing uses an additional @SpaceIndex attribute - path(). The SpaceIndex.path() Attribute The path() attribute represents the path of the property within the nested ..."},"89":{y:0,u:"../dev-java/indexing-collections.html",l:-1,t:"Collection Index",i:0.00167134354493017,a:"Smart Cache Collection Index An index can be defined on a Collection property (java.util.Collection implementation) or Array. Setting such an index means that each of the Collection\u0027s or Array\u0027s items is indexed. Setting an index on a Collection / Array done using the SpaceIndex.path() attribute ..."},"90":{y:0,u:"../dev-java/indexing-compound.html",l:-1,t:"Compound Index",i:0.00196467967114656,a:"Smart Cache Compound Index GigaSpaces supports compound indexing, where a single index structure holds references to multiple fields within objects stored within the Space.\nA compound index should be used to speed up queries that match on multiple fields with AND conditions between them. Maintaining ..."},"91":{y:0,u:"../dev-java/indexing-geospatial.html",l:-1,t:"Geospatial Index",i:0.0022771376947546,a:"Smart Cache Geospatial Index Geospatial indexes can be defined by using the @SpaceSpatialIndex and @SpaceSpatialIndexes annotations. Lets assume we have a class called GasStation that has a Point property that describes its location and we want to execute geospatial queries\nagainst this property: ..."},"92":{y:0,u:"../dev-java/indexing-text-search.html",l:-1,t:"Text Search Index",i:0.000894032106364309,a:"Smart Cache Text Search Index Text Search indexes can be defined by using the @SpaceTextIndex and @SpaceTextIndexs annotations. Lets assume we have a class called NewsArticle that has a content property that describes text we want to execute the text search queries\nagainst: import ..."},"93":{y:0,u:"../dev-java/indexing-unique.html",l:-1,t:"Unique Index",i:0.000457134680193274,a:"Smart Cache Unique Index Unique constraints can be defined for an attribute or attributes of a space class. This will ensure that only one instance of the space class exists in the space with the specific attribute value. These indexes are applicable to all types of index; Equal, Ordered, ..."},"94":{y:0,u:"../dev-java/transaction-overview.html",l:-1,t:"Transactions",i:0.00581500161413645,a:"Smart Cache Transactions The Spring Framework provides a transaction manager abstraction using the PlatformTransactionManager interface with several different built-in implementations, such as JDBC Data Source and JTA. GigaSpaces provides several implementations for Spring\u0027s ..."},"95":{y:0,u:"../dev-java/transaction-locking-and-blocking.html",l:-1,t:"Locking and Blocking",i:0.0013037407358488,a:"Smart Cache Locking and Blocking Locking of objects occurs in multi-user systems to preserve the integrity of changes, so that changes made by one process do not accidentally overwrite changes made by another process.\nGigaSpaces provides two strategies for locking objects: Optimistic and ..."},"96":{y:0,u:"../dev-java/transaction-read-modifiers.html",l:-1,t:"Read Modifiers",i:0.000995991433904905,a:"Smart Cache Read Modifiers GigaSpaces ReadModifiers class (see  Javadoc ) provides static methods and constants to decode read-type modifiers. The sets of modifiers are represented as integers with distinct bit positions representing different modifiers. Four main types of modifiers can be used: ..."},"97":{y:0,u:"../dev-java/transaction-optimistic-locking.html",l:-1,t:"Optimistic Locking",i:0.00122907208336736,a:"Smart Cache Optimistic Locking With optimistic locking, you write your business logic allowing multiple users to read the same object at the same time, but allow only one user to update the object successfully. The assumption is that there will be a relatively large number of users trying to read ..."},"98":{y:0,u:"../dev-java/transaction-pessimistic-locking.html",l:-1,t:"Pessimistic Locking",i:0.000505705531770027,a:"Smart Cache Pessimistic Locking The pessimistic locking protocol provides data consistency in a multi user transactional environment. It should be used when there might be a large number of clients trying to read and update the same object(s) at the same time. This protocol utilize the system ..."},"99":{y:0,u:"../dev-java/persistency-for-a-database.html",l:-1,t:"Persistency ",i:0.0143284046401447,a:"Smart Cache Persistency  Space persistency in GigaSpaces is comprised of two components, a Space data source and a Space synchronization endpoint. These components provide advanced persistency capabilities for the Space architecture to interact with a persistency layer, and are in charge of the ..."},"100":{y:0,u:"../dev-java/direct-persistency.html",l:-1,t:"Direct Persistency",i:0.00638671182047392,a:"Smart Cache Direct Persistency Direct persistency mode is deprecated and will be removed in a future GigaSpaces product release. Use  Asynchronous Persistency  mode instead. When running in direct persistency mode (i.e. Read-Write Through) the data grid interacts with the data source to persist its ..."},"101":{y:0,u:"../dev-java/hibernate-space-persistency.html",l:-1,t:"Hibernate Integration",i:0.010540889726577,a:"Smart Cache Hibernate Integration GigaSpaces comes with a built in implementation of  Space Persistency  APIs for Hibernate. This implementation is an extension of the SpaceDataSource and SpaceSynchronizationEndpoint classes. The implementation allows a custom objects persistency using Hibernate ..."},"102":{y:0,u:"../dev-java/space-data-source-api.html",l:-1,t:"Data Source",i:0.00484166023662248,a:"Smart Cache Data Source The  SpaceDataSource  is used by the Space for interacting with the persistency layer in two cases: Initial data \u0026 meta data loading from a data source (i.e. a database). In LRU mode, when the space needs to read data from the data source (cache miss as a result of ..."},"103":{y:0,u:"../dev-java/space-synchronization-endpoint-api.html",l:-1,t:"Synchronization Endpoint",i:0.00727115871360793,a:"Smart Cache Synchronization Endpoint The  SpaceSynchronizationEndpoint  is used for persisting data from the space to an external storage.\nThe following data is synchronized: Batched write/update/remove operations. Transactions. Dynamic index creation. Data type introduction. The space ..."},"104":{y:0,u:"../dev-java/space-persistency-initial-load.html",l:-1,t:"Initial Load",i:0.00671590707677735,a:"Smart Cache Initial Load The GigaSpaces Data Grid includes special interceptor that allow users to pre-load the Data-Grid with data before it is available for clients access. This interceptor called Initial Load and has a default implementation that is using the  Hibernate Space Persistency  ..."},"105":{y:0,u:"../dev-java/asynchronous-persistency-with-the-mirror.html",l:-1,t:"Asynchronous Persistency - Mirror Service",i:0.0115792435393482,a:"Smart Cache Asynchronous Persistency - Mirror Service The GigaSpaces Mirror Service (write behind) provides reliable asynchronous persistency which allows you to asynchronously delegate the operations conducted with the In-Memory-Data-Grid (IMDG) into a backend database, significantly reducing the ..."},"106":{y:0,u:"../dev-java/async-persistency-mirror-advanced.html",l:-1,t:"Advanced Mirror Configuration",i:0.00361100278176512,a:"Smart Cache Advanced Mirror Configuration Custom Mirror Service Name A Mirror Service can be configured per Space cluster. You can\u0027t have multiple Mirror services configured for the same space cluster. If you need \"multiple mirrors\" for the same space cluster you can implement a Mirror Service that ..."},"107":{y:0,u:"../dev-java/archive-container.html",l:-1,t:"Archive Container",i:0.00114933311552461,a:"Smart Cache Archive Container The archive container is used to transfer historical data into Big-Data storage (for example Cassandra). The typical scenario is when streaming vast number of raw events through the Space, enriching them and then moving them to a Big-Data storage. Typically, there is no ..."},"108":{y:0,u:"../dev-java/mongodb.html",l:-1,t:"MongoDB Integration",i:0.0017231221353367,a:"Smart Cache MongoDB Integration This is a reference implementation of integrating MongoDB with GigaSpaces for persistency and data reload. GigaSpaces does not guarantee up-to-date upgrades or support of the target NoSQL store drivers. We encourage users to extend the open source implementation to ..."},"109":{y:0,u:"../dev-java/mongodb-space-persistency.html",l:-1,t:"Mongo Persistency",i:0.000457134680193274,a:"Smart Cache Mongo Persistency GigaSpaces comes with built in implementations of  Space Data Source  and  Space Synchronization Endpoint \n for MongoDB, called MongoSpaceDataSource and MongoSpaceSynchronizationEndpoint, respectively. For further details about the persistency APIs used see  Space ..."},"110":{y:0,u:"../dev-java/mongodb-space-data-source.html",l:-1,t:"Data Source",i:0.000457134680193274,a:"Smart Cache Data Source A MongoDB based implementation of the  Space Data Source . Library dependencies The MongoDB Space Data Source uses  MongoDB Driver  For communicating with the MongoDB cluster. include the following in your pom.xml     \u003c!-- currently the MongoDB library is not the central ..."},"111":{y:0,u:"../dev-java/mongodb-space-synchronization-endpoint.html",l:-1,t:"Synchronization Endpoint",i:0.000586656951064615,a:"Smart Cache Synchronization Endpoint A MongoDB based implementation of the  Space Synchronization Endpoint . Library dependencies The MongoDB Space Synchronization Endpoint uses the  MongoDB Driver  For communicating with the MongoDB cluster.\nInclude the following in your pom.xml     \u003c!-- currently ..."},"112":{y:0,u:"../dev-java/mongodb-archive-operation-handler.html",l:-1,t:"Archive Handler",i:0.000579252187402422,a:"Smart Cache Archive Handler The  Archive Container  can be configured to work against MongoDB (without writing any extra code). The  ArchiveOperationHandler interface  abstracts the Big-Data storage from the  Archive Container . The MongoDB Archive Operation Handler implements this interface by ..."},"113":{y:0,u:"../dev-java/transient-entries.html",l:-1,t:"Transient Entries",i:0.0020061718712519,a:"Smart Cache Transient Entries When using a persistent space there are situations where not all the space objects need to be persistent (saved within the database). You can specify a space Object to be stored only in the space, without storing it also in the persistent store, by setting its persist ..."},"114":{y:0,u:"../dev-java/space-persistency-advanced-topics.html",l:-1,t:"Advanced Topics",i:0.00319278863284059,a:"Smart Cache Advanced Topics This sections covers advanced options related to Space Persistency. Properties Here are the Space Persistency Properties: Troubleshooting To enable Space Persistency logging, edit the  $GS_HOME\\config\\log\\xap_logging.properties file, and set the persistent level to CONFIG ..."},"115":{y:0,u:"../dev-java/persistency-migrating-hibernate.html",l:-1,t:"Migrating from Hibernate",i:0.000457134680193274,a:"To benefit from data caching and other capabilities, it is worthwhile to migrate a legacy application that uses the Hibernate API, to the GigaSpace or GigaMap API. In such cases, these applications can benefit from the ability to scale when using the GigaSpaces Data Grid. This is achieved by ..."},"116":{y:0,u:"../dev-java/migrating-from-external-data-source-api.html",l:-1,t:"Migrating From External Data Source API",i:0.000457134680193274,a:"This page describes how EDS implementations prior to GigaSpaces version 9.5 should migrate to the new Space Persistency APIs. External Data Source API contains 5 interfaces the implementation can use: ManagedDataSource - base interface which provides the ability to initial load data from the data ..."},"117":{y:0,u:"../dev-java/memory-management-overview.html",l:-1,t:"Cache Policy",i:0.00567917126253312,a:"The GigaSpaces cache policy is used to prevent situations where a Space server gets into an out-of-memory failure scenario. Based on the configured cache policy, the memory manager protects the Space (and the application, if it is running co-located with the Space) from consuming memory beyond a ..."},"118":{y:0,u:"../dev-java/all-in-cache-cache-policy.html",l:-1,t:"ALL IN CACHE Policy",i:0.00210307960332232,a:"The eviction policy mechanism is deprecated and will be removed in a future  release. To prevent scenarios where the available physical memory is limited consider using the  MemoryXtend  module, which supports using external storage for Space data. When running in ALL_IN_CACHE cache policy mode, the ..."},"119":{y:0,u:"../dev-java/lru-cache-policy.html",l:-1,t:"LRU Cache Policy",i:0.00624450560754086,a:"The eviction policy mechanism is deprecated and will be removed in a future  release. To prevent scenarios where the available physical memory is limited consider using the  MemoryXtend  module, which supports using external storage for Space data. When running in LRU cache policy mode, the space ..."},"120":{y:0,u:"../dev-java/custom-eviction-policy.html",l:-1,t:"Custom Eviction Policy",i:0.0004774253818314,a:"The eviction policy mechanism is deprecated and will be removed in a future  release. To prevent scenarios where the available physical memory is limited consider using the  MemoryXtend  module, which supports using external storage for Space data. To manage the eviction activity when running in LRU ..."},"121":{y:0,u:"../dev-java/dep-intelligent-tiering-intro.html",l:-1,t:"Intelligent Tiered Storage",i:0.000457134680193274,a:"Overview In a traditional deployment, all data grid entries are stored in JVM heaps to provide the fastest performance possible. However, as the repository of data grows and grows, the following issues can arise: Cost - While RAM performs much better than a hard drive, it is also much more ..."},"122":{y:0,u:"../admin/memoryxtend-overview.html",l:-1,t:"Tiered Storage with MemoryXtend",i:0.00413006487879663,a:"Smart Cache Tiered Storage with MemoryXtend The MemoryXtend (blobstore) storage model allows an external storage medium (one that does not reside on the JVM heap) to store the Space data. This section describes the general MemoryXtend architecture and functionality, and its off-heap RAM, hSSD, and ..."},"123":{y:0,u:"../admin/memoryxtend-rocksdb-ssd.html",l:-1,t:"MemoryXtend for Disk (SSD/HDD)",i:0.00128864076767068,a:"Smart Cache MemoryXtend for Disk (SSD/HDD) MemoryXtend is NOT supported in Kubnernetes Orchestration Installations Overview The MemoryXtend disk storage driver delivers built-in, high-speed persistence that leverages local or attached SSD devices, all-flash-arrays (AFA), or any other disk or memory ..."},"124":{y:0,u:"../admin/memoryxtend-ohr.html",l:-1,t:"MemoryXtend for Off-Heap RAM",i:0.00105579190487141,a:"Smart Cache MemoryXtend for Off-Heap RAM MemoryXtend is NOT supported in Kubnernetes Orchestration Installations Overview The MemoryXtend off-heap storage driver stores Space objects in RAM, outside the Java heap. This has two benefits: Better RAM utilization - Objects are stored off-heap in ..."},"125":{y:0,u:"../admin/memoryxtend-pmem.html",l:-1,t:"MemoryXtend for PMEM",i:0.00105579190487141,a:"Smart Cache MemoryXtend for PMEM Overview Persistent Memory (PMEM) is a new class of memory that combines high capacity and affordability. By expanding affordable system memory capacities (greater than 3TB per CPU socket), end customers can use systems enabled with PMEM to better optimize their ..."},"126":{y:0,u:"../dev-java/data-lake-acceleration.html",l:-1,t:"Data Lake Acceleration with AnalyticsXtreme",i:0.000845701492807299,a:"Overview AnalyticsXtreme is a data lake accelerator that  operationalizes your data lake for real-time analytics, which can run simultaneously on both real-time, mutable streaming data and on historical data that is stored on data lakes based on Hadoop, Amazon S3 or Azure Blob Storage, without ..."},"127":{y:0,u:"../dev-java/data-lake-acceleration-ax-server-side.html",l:-1,t:"Configuring AnalyticsXtreme on the Server Side",i:0.000827199059790696,a:" AnalyticsXtreme is implemented in conjunction with a specific Space. This is part of the standard configuration of a pu.xml file. For more information about pu.xml files and their properties, read the  Configuration  topic in  The Processing Unit Service  section of the developer guide. Configuring ..."},"128":{y:0,u:"../dev-java/data-lake-acceleration-ax-client-side.html",l:-1,t:"Configuring AnalyticsXtreme on the Client Side",i:0.000457134680193274,a:"After the server side has been configured, you need to set up your client application to use AnalyticsXtreme. You must configure the JDBC connection string to enable communication between the client and the data grid, and then you can run queries using the following: Spark/JDBC API from any client ..."},"129":{y:0,u:"../dev-java/data-lake-ax-batch-index.html",l:-1,t:"AnalyticsXtreme Batch Indexing",i:0.000457134680193274,a:"Indexing is an effective way to improve query performance on regular databases. However, organizations can store up to terabytes and petabytes of data in data lakes. Indexing all of the data is impractical because it results in very high overhead; while indexing might improve performance, it isn\u0027t ..."},"130":{y:0,u:"../dev-java/other-data-access-apis.html",l:-1,t:"Data Access APIs",i:0.000486069043316674,a:"Smart Cache Data Access APIs GigaSpaces promotes openness and interoperability, supporting common interfaces for accessing data, such as JPA, Document, SQL, JDBC, Memcached, Spring Data and a native POJO-based API. You can choose the best API for the case at hand, and be able to operate on the same ..."},"131":{y:0,u:"../dev-java/jdbc-driver.html",l:-1,t:"JDBC V1 Driver - In-Memory Data Grid",i:0.00345889948928168,a:"Smart Cache JDBC V1 Driver - In-Memory Data Grid The GigaSpaces JDBC interface allows database-driven applications to interact with Spaces via SQL queries and commands. A query processor transparently translates SQL queries into legal Space operations. No integration is required - all you need to do ..."},"132":{y:0,u:"../dev-java/jpa-api-overview.html",l:-1,t:"JPA API",i:0.000512423280738057,a:"Smart Cache JPA API The Java Persistency API (JPA) is a Java-programming language framework that manages relational data in applications using the Java platform. GigaSpaces\u0027s JPA API allows you to use the JPA\u0027s functionality and annotations, and to execute JPQL queries on a Space. GigaSpaces\u0027s JPA ..."},"133":{y:0,u:"../dev-java/jpa-entity-id.html",l:-1,t:"JPA Entity ID",i:0.000519357890985755,a:"Smart Cache JPA Entity ID Download the Smart DIH Product Overview here \u003e\u003e Various options for mapping the identifier property of your JPA entities are provided. User-Defined Id In this case, the Entity\u0027s Id must be set manually in the user code before attempting to persist the entity. Reminder: ..."},"134":{y:0,u:"../dev-java/jpa-relationships.html",l:-1,t:"JPA Relationships",i:0.000519357890985755,a:"Smart Cache JPA Relationships The GigaSpaces JPA relationships model is different than Relational Databases model. In GigaSpaces relationships are owned, which means that an owner of a relationship holds the owned entities within itself in Space. For instance, if an Author has a One-to-many ..."},"135":{y:0,u:"../dev-java/jpa-limitations.html",l:-1,t:"Limitations",i:0.000519357890985755,a:"Smart Cache Limitations Functionalities that are not supported by the GigaSpaces JPA API. Annotations Here\u0027s a list of JPA annotations which are not supported by GigaSpaces JPA Access(AccessType.FIELD) JoinColumn Version UniqueConstraint Temporal AssociationOverride AttributeOverride ColumnResult ..."},"136":{y:0,u:"../dev-java/map-api.html",l:-1,t:"Map API",i:0.00254854984376752,a:"GigaSpaces allows applications to interact with the space and cache data using the Map API (JCache) or a  HashTable API . Accessing the space via the Map API can be done using the  GigaMap  interfaces. It includes enhanced options such as declarative transactions support, coherent runtime exception ..."},"137":{y:0,u:"../dev-java/memcached-api.html",l:-1,t:"Memcached API",i:0.000620333275070304,a:"Download the Smart DIH Product Overview here \u003e\u003e Memcached  is a popular caching protocol and server. The integration provided allows to use GigaSpaces as a memcached server (talking the memcached protocol) enhancing the memcached to provide high availability, write behind, and all the other features ..."},"138":{y:0,u:"../dev-java/client-side-caching.html",l:-1,t:"Client-Side Caching",i:0.00235093060792479,a:"Smart Cache Client-Side Caching GigaSpaces supports client-side caching of Space data within the client application\u0027s JVM. When using client-side caching, the user essentially uses a two-layer cache architecture: The first layer is stored locally, within the client\u0027s JVM, and the second layer is ..."},"139":{y:0,u:"../dev-java/local-cache.html",l:-1,t:"Local Cache",i:0.00542988641125865,a:"Smart Cache Local Cache A Local Cache is a client-side cache that maintains a subset of the master Space\u0027s data based on the client application\u0027s recent activity. The local cache is created empty, and whenever the client application executes a query the local cache first tries to fulfill it from the ..."},"140":{y:0,u:"../dev-java/local-view.html",l:-1,t:"Local View",i:0.0031746379356235,a:"Smart Cache Local View A local view is a read-only, client-side Space that maintains a subset of the master Space\u0027s data, allowing the client to read distributed data without performing any remote calls or data serialization. Data is streamed into the client application\u0027s local view based on ..."},"141":{y:0,u:"../dev-java/client-side-caching-over-the-wan.html",l:-1,t:"Caching over the WAN",i:0.000457134680193274,a:"Smart Cache Caching over the WAN   A common use case of the local cache or the local view is with remote geographical sites where most of the activities are read only. In this case each site may use an application server or a web application running a local view/cache caching a subset of the data or ..."},"142":{y:0,u:"../dev-java/monitoring-the-client-side-cache.html",l:-1,t:"Using JConsole to Monitor the Client-Side Cache Activity",i:0.000457134680193274,a:"Smart Cache Using JConsole to Monitor the Client-Side Cache Activity The Local View/Cache JMX Monitor monitors the number of objects stored within the client side cache and the activities performed with it. You can use  JConsole  to graph the number of objects within the local view/cache and other ..."},"143":{y:0,u:"../dev-java/task-execution-overview.html",l:-1,t:"Task Execution",i:0.00473742087450088,a:"Smart Cache Task Execution GigaSpaces supports Task execution in an asynchronous manner, co-located with the Space (Processing Unit that started an embedded Space). Tasks can be executed directly on a specific cluster member using routing declarations. Tasks can also be executed in \"broadcast\" mode ..."},"144":{y:0,u:"../dev-java/task-dynamic-language.html",l:-1,t:"Dynamic Language Tasks",i:0.00115167542535522,a:"Smart Cache Dynamic Language Tasks Event Driven Remoting  and  Executor Based Remoting  allow you to simply expose and execute custom services using the Space as the transport layer. The dynamic tasks feature (also known as \"scripting support\") allows you to utilize a built remote service, exposed ..."},});